Bug 1533126 - SELinux is preventing pmie_check from 'execute_no_trans' accesses on the file /usr/bin/pmie.
Summary: SELinux is preventing pmie_check from 'execute_no_trans' accesses on the file...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:46a44d2c52d2f1b5e53270bb46c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-10 14:08 UTC by Stephen Gallagher
Modified: 2018-02-06 15:31 UTC (History)
5 users (show)

Fixed In Version: selinux-policy-3.13.1-283.24.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-06 15:31:20 UTC


Attachments (Terms of Use)

Description Stephen Gallagher 2018-01-10 14:08:53 UTC
Description of problem:
I installed pcp and started pmcd.service, pmie.service and pmlogger.service

I immediately received an SELinux denial.
SELinux is preventing pmie_check from 'execute_no_trans' accesses on the file /usr/bin/pmie.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that pmie_check should be allowed execute_no_trans access on the pmie file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'pmie_check' --raw | audit2allow -M my-pmiecheck
# semodule -X 300 -i my-pmiecheck.pp

Additional Information:
Source Context                system_u:system_r:pcp_pmie_t:s0
Target Context                system_u:object_r:pcp_pmie_exec_t:s0
Target Objects                /usr/bin/pmie [ file ]
Source                        pmie_check
Source Path                   pmie_check
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           pcp-3.12.1-3.fc27.x86_64
Policy RPM                    selinux-policy-3.13.1-283.19.fc27.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.14.11-300.fc27.x86_64 #1 SMP Wed
                              Jan 3 13:52:28 UTC 2018 x86_64 x86_64
Alert Count                   1
First Seen                    2018-01-10 09:07:49 EST
Last Seen                     2018-01-10 09:07:49 EST
Local ID                      1eb52f0e-1f18-44e2-b33e-80810e4a6675

Raw Audit Messages
type=AVC msg=audit(1515593269.407:600): avc:  denied  { execute_no_trans } for  pid=17779 comm="pmie_check" path="/usr/bin/pmie" dev="dm-1" ino=202841378 scontext=system_u:system_r:pcp_pmie_t:s0 tcontext=system_u:object_r:pcp_pmie_exec_t:s0 tclass=file permissive=0


Hash: pmie_check,pcp_pmie_t,pcp_pmie_exec_t,file,execute_no_trans

Version-Release number of selected component:
selinux-policy-3.13.1-283.19.fc27.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.3
hashmarkername: setroubleshoot
kernel:         4.14.11-300.fc27.x86_64
type:           libreport

Comment 1 Fedora Update System 2018-01-30 16:40:58 UTC
selinux-policy-3.13.1-283.24.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a144eca5a8

Comment 2 Fedora Update System 2018-01-31 22:44:49 UTC
selinux-policy-3.13.1-283.24.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a144eca5a8

Comment 3 Fedora Update System 2018-02-06 15:31:20 UTC
selinux-policy-3.13.1-283.24.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.